Changeset 1009 for trunk


Ignore:
Timestamp:
Oct 17, 2013 6:49:30 PM (6 years ago)
Author:
pbelotti
Message:

added writeLP function to save MIQCQP into a .lp file

Location:
trunk/Couenne
Files:
1 added
23 edited

Legend:

Unmodified
Added
Removed
  • trunk/Couenne/Makefile.in

    r979 r1009  
    301301ac_ct_CXX = @ac_ct_CXX@
    302302ac_ct_F77 = @ac_ct_F77@
    303 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    304303ac_ct_RANLIB = @ac_ct_RANLIB@
    305304ac_ct_STRIP = @ac_ct_STRIP@
    306305ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     306ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    307307am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    308308am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/configure

    r1005 r1009  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10951095  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    10961096  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    1097 
    1098   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1097  --enable-doscompile     Under Cygwin, compile so that executables run under
     1098                          DOS. Set to mingw to use gcc/g++/ld with
     1099                          -mno-cygwin. Set to msvc to use cl/link (or
     1100                          icl/link). Default when mentioned: mingw. Default
     1101                          when not mentioned: disabled.
    10991102  --enable-debug          compile all projects with debug options tests
    11001103                          (implies --disable-shared)
     
    16641667# to make correct call to Fortran routines
    16651668
     1669case $build in
     1670  *-mingw*)
     1671    if test "${LD+set}" = set; then :; else
     1672      LD=link
     1673    fi
     1674    ;;
     1675 esac
     1676 case $enable_doscompile in
     1677   msvc)
     1678     if test "x${LD+set}" = xset; then :; else
     1679       LD=link
     1680     fi
     1681     ;;
     1682 esac
     1683
    16661684ac_aux_dir=
    16671685for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
     
    17221740
    17231741
    1724 
    1725   # for backward compatibility
    1726   # Check whether --enable-doscompile or --disable-doscompile was given.
     1742 # Check whether --enable-doscompile or --disable-doscompile was given.
    17271743if test "${enable_doscompile+set}" = set; then
    17281744  enableval="$enable_doscompile"
    1729   enable_doscompile=$enableval
     1745  if test "$enable_doscompile" != no; then
     1746     case $build in
     1747       *-cygwin* | *-mingw*) ;;
     1748       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1749echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1750   { (exit 1); exit 1; }; } ;;
     1751     esac
     1752   fi
    17301753else
    17311754  enable_doscompile=no
    17321755fi;
    1733 
    1734   # Check whether --enable-msvc or --disable-msvc was given.
    1735 if test "${enable_msvc+set}" = set; then
    1736   enableval="$enable_msvc"
    1737   enable_msvc=$enableval
    1738 else
    1739   enable_msvc=no
    1740      if test "$enable_doscompile" = msvc ; then
    1741        enable_msvc=yes
    1742      elif test "$enable_doscompile" != no ; then
    1743        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1744 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1756 case "$enable_doscompile" in
     1757   mingw)
     1758     case $build in
     1759       *-mingw*) enable_doscompile=no ;;
     1760     esac
     1761     ;;
     1762   msvc|no) ;;
     1763   yes) enable_doscompile=mingw ;;
     1764   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1765                    Try configure --help=recursive." >&5
     1766echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1767                    Try configure --help=recursive." >&2;}
    17451768   { (exit 1); exit 1; }; }
    1746      fi
    1747 
    1748 fi;
    1749 
    1750   if test "$enable_msvc" = yes; then
    1751     case $build in
    1752       *-cygwin* | *-mingw*) ;;
    1753       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1754 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1755    { (exit 1); exit 1; }; } ;;
    1756     esac
     1769      ;;
     1770  esac
     1771  if test "$enable_doscompile" != no ; then
     1772    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1773echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    17571774  fi
    1758 
    1759 
    1760  case $build in
    1761   *-mingw*)
    1762     if test "${LD+set}" = set; then :; else
    1763       LD=link
    1764     fi
    1765     ;;
    1766  esac
    1767  if test $enable_msvc = yes ; then
    1768    if test "x${LD+set}" = xset; then :; else
    1769      LD=link
    1770    fi
    1771  fi
    1772 
    1773 
    1774 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1775 if test "${enable_static_standardlibs+set}" = set; then
    1776   enableval="$enable_static_standardlibs"
    1777   case "$enableval" in
    1778      no | yes | auto ) ;;
    1779      *)
    1780        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1781 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1782    { (exit 1); exit 1; }; } ;;
    1783    esac
    1784    use_static_standardlibs=$enableval
    1785 else
    1786   use_static_standardlibs=no
    1787 fi;
    1788 
    17891775
    17901776
     
    18291815case $build in
    18301816  *-cygwin* | *-mingw*)
    1831              if test "$enable_msvc" = yes ; then
    1832                comps="icl cl gcc"
     1817             if test "$enable_doscompile" = msvc ; then
     1818               comps="icl cl"
    18331819             else
    1834                comps="gcc icl cl"
     1820               comps="gcc cl"
    18351821             fi ;;
    18361822  *-*-solaris*)
     
    26292615echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    26302616    fi ;;
    2631   * )
    2632     CYGPATH_W=echo
    2633     ;;
    26342617esac
    26352618CFLAGS="$save_cflags"
     
    26852668            ;;
    26862669        esac
     2670        case $enable_doscompile in
     2671          mingw)
     2672            CFLAGS="-mno-cygwin"
     2673            cat >conftest.$ac_ext <<_ACEOF
     2674/* confdefs.h.  */
     2675_ACEOF
     2676cat confdefs.h >>conftest.$ac_ext
     2677cat >>conftest.$ac_ext <<_ACEOF
     2678/* end confdefs.h.  */
     2679
     2680int
     2681main ()
     2682{
     2683int i=0; i++;
     2684  ;
     2685  return 0;
     2686}
     2687_ACEOF
     2688rm -f conftest.$ac_objext conftest$ac_exeext
     2689if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2690  (eval $ac_link) 2>conftest.er1
     2691  ac_status=$?
     2692  grep -v '^ *+' conftest.er1 >conftest.err
     2693  rm -f conftest.er1
     2694  cat conftest.err >&5
     2695  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2696  (exit $ac_status); } &&
     2697         { ac_try='test -z "$ac_c_werror_flag"
     2698                         || test ! -s conftest.err'
     2699  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2700  (eval $ac_try) 2>&5
     2701  ac_status=$?
     2702  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2703  (exit $ac_status); }; } &&
     2704         { ac_try='test -s conftest$ac_exeext'
     2705  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2706  (eval $ac_try) 2>&5
     2707  ac_status=$?
     2708  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2709  (exit $ac_status); }; }; then
     2710  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2711else
     2712  echo "$as_me: failed program was:" >&5
     2713sed 's/^/| /' conftest.$ac_ext >&5
     2714
     2715fi
     2716rm -f conftest.err conftest.$ac_objext \
     2717      conftest$ac_exeext conftest.$ac_ext
     2718            CFLAGS=
     2719          ;;
     2720        esac
    26872721    esac
    26882722  fi
     
    26932727          clang* ) ;;
    26942728          cl* | */cl* | CL* | */CL*)
    2695             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    2696               coin_opt_cflags='-MD -O2'
    2697               coin_dbg_cflags='-MDd'
    2698             else
    2699               coin_opt_cflags='-MT -O2'
    2700               coin_dbg_cflags='-MTd'
    2701             fi
     2729            coin_opt_cflags='-MT -O2'
    27022730            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
     2731            coin_dbg_cflags='-MTd'
    27032732            ;;
    27042733          icl* | */icl* | ICL* | */ICL*)
    2705             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    2706               coin_opt_cflags='-MD -Ox'
    2707               coin_dbg_cflags='-MDd -debug'
    2708             else
    2709               coin_opt_cflags='-MT -Ox'
    2710               coin_dbg_cflags='-MTd -debug'
    2711             fi
     2734            coin_opt_cflags='-MT -Ox'
    27122735            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
     2736            coin_dbg_cflags='-MTd -debug'
    27132737            ;;
    27142738        esac
     
    28752899    CFLAGS="$OPT_CFLAGS"
    28762900  fi
    2877 
    28782901else
    28792902  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    30263049  clang* ) ;;
    30273050  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3028 
    3029  case $build in
     3051    case $build in
    30303052  *-mingw*)
    30313053    if test "${LD+set}" = set; then :; else
     
    30343056    ;;
    30353057 esac
    3036  if test $enable_msvc = yes ; then
    3037    if test "x${LD+set}" = xset; then :; else
    3038      LD=link
    3039    fi
    3040  fi
     3058 case $enable_doscompile in
     3059   msvc)
     3060     if test "x${LD+set}" = xset; then :; else
     3061       LD=link
     3062     fi
     3063     ;;
     3064 esac
    30413065
    30423066    ;;
    30433067esac
    3044 
    3045 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3046 if test x$use_static_standardlibs != xno ; then
    3047   case $build in
    3048     *-mingw*)
    3049       static_standardlib_flag=-static
    3050       ;;
    3051     *)
    3052       static_standardlib_flag=-static-libgcc
    3053       ;;
    3054   esac
    3055   case " $LDFLAGS " in
    3056     *" $static_standardlib_flag "* ) ;;
    3057     *)
    3058     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3059 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3060     coin_save_LDFLAGS="$LDFLAGS"
    3061     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3062     cat >conftest.$ac_ext <<_ACEOF
    3063 /* confdefs.h.  */
    3064 _ACEOF
    3065 cat confdefs.h >>conftest.$ac_ext
    3066 cat >>conftest.$ac_ext <<_ACEOF
    3067 /* end confdefs.h.  */
    3068 
    3069 int
    3070 main ()
    3071 {
    3072 int i=0;
    3073   ;
    3074   return 0;
    3075 }
    3076 _ACEOF
    3077 rm -f conftest.$ac_objext conftest$ac_exeext
    3078 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3079   (eval $ac_link) 2>conftest.er1
    3080   ac_status=$?
    3081   grep -v '^ *+' conftest.er1 >conftest.err
    3082   rm -f conftest.er1
    3083   cat conftest.err >&5
    3084   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3085   (exit $ac_status); } &&
    3086          { ac_try='test -z "$ac_c_werror_flag"
    3087                          || test ! -s conftest.err'
    3088   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3089   (eval $ac_try) 2>&5
    3090   ac_status=$?
    3091   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3092   (exit $ac_status); }; } &&
    3093          { ac_try='test -s conftest$ac_exeext'
    3094   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3095   (eval $ac_try) 2>&5
    3096   ac_status=$?
    3097   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3098   (exit $ac_status); }; }; then
    3099   echo "$as_me:$LINENO: result: yes" >&5
    3100 echo "${ECHO_T}yes" >&6
    3101 else
    3102   echo "$as_me: failed program was:" >&5
    3103 sed 's/^/| /' conftest.$ac_ext >&5
    3104 
    3105 echo "$as_me:$LINENO: result: no" >&5
    3106 echo "${ECHO_T}no" >&6
    3107        LDFLAGS="$coin_save_LDFLAGS"
    3108        if test $use_static_standardlibs = yes ; then
    3109          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3110 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3111    { (exit 1); exit 1; }; }
    3112        fi
    3113 
    3114 fi
    3115 rm -f conftest.err conftest.$ac_objext \
    3116       conftest$ac_exeext conftest.$ac_ext
    3117     ;;
    3118   esac
    3119 fi
    31203068
    31213069ac_ext=c
     
    31283076case $build in
    31293077  *-cygwin* | *-mingw*)
    3130      if test "$enable_msvc" = yes ; then
    3131        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     3078     if test "$enable_doscompile" = msvc ; then
     3079       coin_f77_comps="ifort fl32 compile_f2c"
    31323080     else
    31333081       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    31393087  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    31403088 esac
    3141 
    31423089
    31433090
     
    33553302
    33563303# Provide some information about the compiler.
    3357 echo "$as_me:3357:" \
     3304echo "$as_me:3304:" \
    33583305     "checking for Fortran 77 compiler version" >&5
    33593306ac_compiler=`set X $ac_compile; echo $2`
     
    35243471    coin_add_fflags="-pipe"
    35253472    coin_dbg_fflags="-g -O0"
     3473    case $enable_doscompile in
     3474      mingw)
     3475        FFLAGS="-mno-cygwin"
     3476        cat >conftest.$ac_ext <<_ACEOF
     3477      program main
     3478      write(*,*) 'Hello world'
     3479      end
     3480_ACEOF
     3481rm -f conftest.$ac_objext conftest$ac_exeext
     3482if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3483  (eval $ac_link) 2>conftest.er1
     3484  ac_status=$?
     3485  grep -v '^ *+' conftest.er1 >conftest.err
     3486  rm -f conftest.er1
     3487  cat conftest.err >&5
     3488  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3489  (exit $ac_status); } &&
     3490         { ac_try='test -z "$ac_f77_werror_flag"
     3491                         || test ! -s conftest.err'
     3492  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3493  (eval $ac_try) 2>&5
     3494  ac_status=$?
     3495  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3496  (exit $ac_status); }; } &&
     3497         { ac_try='test -s conftest$ac_exeext'
     3498  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3499  (eval $ac_try) 2>&5
     3500  ac_status=$?
     3501  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3502  (exit $ac_status); }; }; then
     3503  coin_add_fflags="-mno-cygwin $coin_add_fflags"
     3504else
     3505  echo "$as_me: failed program was:" >&5
     3506sed 's/^/| /' conftest.$ac_ext >&5
     3507
     3508fi
     3509rm -f conftest.err conftest.$ac_objext \
     3510      conftest$ac_exeext conftest.$ac_ext
     3511        FFLAGS=
     3512      ;;
     3513    esac
    35263514  else
    35273515    case $build in
     
    35293517        case $F77 in
    35303518          ifort* | */ifort* | IFORT* | */IFORT* )
    3531             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    3532               coin_opt_fflags='-MD -O3'
    3533               coin_dbg_fflags='-MDd -debug'
    3534             else
    3535               coin_opt_fflags='-MT -O3'
    3536               coin_dbg_fflags='-MTd -debug'
    3537             fi
     3519            coin_opt_fflags='-MT -O3'
    35383520            coin_add_fflags='-fpp -nologo'
     3521            coin_dbg_fflags='-MTd -debug'
    35393522          ;;
    35403523          compile_f2c*)
    3541             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    3542               coin_opt_fflags='-MD -O2'
    3543               coin_dbg_fflags='-MDd'
    3544             else
    3545               coin_opt_fflags='-MT -O2'
    3546               coin_dbg_fflags='-MTd'
    3547             fi
     3524            coin_opt_fflags='-MT -O2'
    35483525            coin_add_fflags='-nologo -wd4996'
     3526            coin_dbg_fflags='-MTd'
    35493527          ;;
    35503528        esac
     
    36913669    FFLAGS="$OPT_FFLAGS"
    36923670  fi
    3693 
    36943671else
    36953672  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    38163793case "$F77" in
    38173794  ifort* | */ifort* | IFORT* | */IFORT*)
    3818 
    3819  case $build in
     3795    case $build in
    38203796  *-mingw*)
    38213797    if test "${LD+set}" = set; then :; else
     
    38243800    ;;
    38253801 esac
    3826  if test $enable_msvc = yes ; then
    3827    if test "x${LD+set}" = xset; then :; else
    3828      LD=link
    3829    fi
    3830  fi
     3802 case $enable_doscompile in
     3803   msvc)
     3804     if test "x${LD+set}" = xset; then :; else
     3805       LD=link
     3806     fi
     3807     ;;
     3808 esac
    38313809
    38323810    ;;
    38333811esac
    3834 
    3835 # check whether to add flag for static linking against standard libraries to LDFLAGS
    3836 if test x$use_static_standardlibs != xno ; then
    3837   case $build in
    3838     *-mingw*)
    3839       static_standardlib_flag=-static
    3840       ;;
    3841     *)
    3842       static_standardlib_flag=-static-libgfortran
    3843       ;;
    3844   esac
    3845   case " $LDFLAGS " in
    3846     *" $static_standardlib_flag "* ) ;;
    3847     *)
    3848     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3849 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3850     coin_save_LDFLAGS="$LDFLAGS"
    3851     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3852     cat >conftest.$ac_ext <<_ACEOF
    3853       program main
    3854       integer i
    3855       end
    3856 _ACEOF
    3857 rm -f conftest.$ac_objext conftest$ac_exeext
    3858 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3859   (eval $ac_link) 2>conftest.er1
    3860   ac_status=$?
    3861   grep -v '^ *+' conftest.er1 >conftest.err
    3862   rm -f conftest.er1
    3863   cat conftest.err >&5
    3864   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3865   (exit $ac_status); } &&
    3866          { ac_try='test -z "$ac_f77_werror_flag"
    3867                          || test ! -s conftest.err'
    3868   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3869   (eval $ac_try) 2>&5
    3870   ac_status=$?
    3871   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3872   (exit $ac_status); }; } &&
    3873          { ac_try='test -s conftest$ac_exeext'
    3874   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3875   (eval $ac_try) 2>&5
    3876   ac_status=$?
    3877   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3878   (exit $ac_status); }; }; then
    3879   echo "$as_me:$LINENO: result: yes" >&5
    3880 echo "${ECHO_T}yes" >&6
    3881 else
    3882   echo "$as_me: failed program was:" >&5
    3883 sed 's/^/| /' conftest.$ac_ext >&5
    3884 
    3885 echo "$as_me:$LINENO: result: no" >&5
    3886 echo "${ECHO_T}no" >&6
    3887        LDFLAGS="$coin_save_LDFLAGS"
    3888        if test $use_static_standardlibs = yes ; then
    3889          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3890 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3891    { (exit 1); exit 1; }; }
    3892        fi
    3893 
    3894 fi
    3895 rm -f conftest.err conftest.$ac_objext \
    3896       conftest$ac_exeext conftest.$ac_ext
    3897     ;;
    3898   esac
    3899 fi
    39003812
    39013813ac_ext=c
     
    39593871ac_save_FFLAGS=$FFLAGS
    39603872FFLAGS="$FFLAGS $ac_verb"
    3961 (eval echo $as_me:3961: \"$ac_link\") >&5
     3873(eval echo $as_me:3873: \"$ac_link\") >&5
    39623874ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39633875echo "$ac_f77_v_output" >&5
     
    40373949ac_save_FFLAGS=$FFLAGS
    40383950FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4039 (eval echo $as_me:4039: \"$ac_link\") >&5
     3951(eval echo $as_me:3951: \"$ac_link\") >&5
    40403952ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40413953echo "$ac_f77_v_output" >&5
     
    50104922 #Let's try if that overcomes configuration problem with VC++ 6.0
    50114923
    5012 
    50134924ac_ext=cc
    50144925ac_cpp='$CXXCPP $CPPFLAGS'
     
    50294940case $build in
    50304941  *-cygwin* | *-mingw*)
    5031       if test "$enable_msvc" = yes ; then
    5032          comps="icl cl g++"
    5033       else
    5034          comps="g++ icl cl"
    5035       fi ;;
     4942             if test "$enable_doscompile" = msvc ; then
     4943               comps="icl cl"
     4944             else
     4945               comps="g++ cl"
     4946             fi ;;
    50364947  *-*-solaris*)
    50374948             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    55425453echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    55435454    fi ;;
    5544   * )
    5545     CYGPATH_W=echo
    5546     ;;
    55475455esac
    55485456CXXFLAGS="$save_cxxflags"
     
    55815489            ;;
    55825490        esac
     5491
     5492        case $enable_doscompile in
     5493          mingw)
     5494            CXXFLAGS="-mno-cygwin"
     5495            cat >conftest.$ac_ext <<_ACEOF
     5496/* confdefs.h.  */
     5497_ACEOF
     5498cat confdefs.h >>conftest.$ac_ext
     5499cat >>conftest.$ac_ext <<_ACEOF
     5500/* end confdefs.h.  */
     5501
     5502#ifdef F77_DUMMY_MAIN
     5503
     5504#  ifdef __cplusplus
     5505     extern "C"
     5506#  endif
     5507   int F77_DUMMY_MAIN() { return 1; }
     5508
     5509#endif
     5510int
     5511main ()
     5512{
     5513int i=0; i++;
     5514  ;
     5515  return 0;
     5516}
     5517_ACEOF
     5518rm -f conftest.$ac_objext conftest$ac_exeext
     5519if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5520  (eval $ac_link) 2>conftest.er1
     5521  ac_status=$?
     5522  grep -v '^ *+' conftest.er1 >conftest.err
     5523  rm -f conftest.er1
     5524  cat conftest.err >&5
     5525  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5526  (exit $ac_status); } &&
     5527         { ac_try='test -z "$ac_cxx_werror_flag"
     5528                         || test ! -s conftest.err'
     5529  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5530  (eval $ac_try) 2>&5
     5531  ac_status=$?
     5532  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5533  (exit $ac_status); }; } &&
     5534         { ac_try='test -s conftest$ac_exeext'
     5535  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5536  (eval $ac_try) 2>&5
     5537  ac_status=$?
     5538  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5539  (exit $ac_status); }; }; then
     5540  coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
     5541else
     5542  echo "$as_me: failed program was:" >&5
     5543sed 's/^/| /' conftest.$ac_ext >&5
     5544
     5545fi
     5546rm -f conftest.err conftest.$ac_objext \
     5547      conftest$ac_exeext conftest.$ac_ext
     5548            CXXFLAGS=
     5549          ;;
     5550        esac
    55835551    esac
    55845552  fi
     
    55925560          clang* ) ;;
    55935561          cl* | */cl* | CL* | */CL*)
    5594             # The MT and MTd options are mutually exclusive
    5595             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    5596                coin_opt_cxxflags='-MD -O2'
    5597                coin_dbg_cxxflags='-MDd'
    5598             else
    5599                coin_opt_cxxflags='-MT -O2'
    5600                coin_dbg_cxxflags='-MTd'
    5601             fi
     5562            # The MT and MTd options are mutually exclusive
     5563            coin_opt_cxxflags='-MT -O2'
    56025564            coin_add_cxxflags='-nologo -EHsc -GR -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
     5565            coin_dbg_cxxflags='-MTd'
    56035566            ;;
    56045567          icl* | */icl* | ICL* | */ICL*)
    5605           # The MT and MTd options are mutually exclusive
    5606             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    5607               coin_opt_cxxflags='-MD -Ox'
    5608               coin_dbg_cxxflags='-MDd -debug'
    5609             else
    5610               coin_opt_cxxflags='-MT -Ox'
    5611               coin_dbg_cxxflags='-MTd -debug'
    5612             fi
     5568            # The MT and MTd options are mutually exclusive
     5569            coin_opt_cxxflags='-MT -Ox'
    56135570            coin_add_cxxflags='-nologo -EHsc -GR -D_CRT_SECURE_NO_DEPRECATE'
     5571            coin_dbg_cxxflags='-MTd -debug'
    56145572            ;;
    56155573        esac
     
    59645922  clang* ) ;;
    59655923  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    5966 
    5967  case $build in
     5924    case $build in
    59685925  *-mingw*)
    59695926    if test "${LD+set}" = set; then :; else
     
    59725929    ;;
    59735930 esac
    5974  if test $enable_msvc = yes ; then
    5975    if test "x${LD+set}" = xset; then :; else
    5976      LD=link
    5977    fi
    5978  fi
     5931 case $enable_doscompile in
     5932   msvc)
     5933     if test "x${LD+set}" = xset; then :; else
     5934       LD=link
     5935     fi
     5936     ;;
     5937 esac
    59795938
    59805939    ;;
    59815940esac
    5982 
    5983 # check whether to add flag for static linking against standard libraries to LDFLAGS
    5984 if test x$use_static_standardlibs != xno ; then
    5985   case $build in
    5986     *-mingw*)
    5987       static_standardlib_flag=-static
    5988       ;;
    5989     *)
    5990       static_standardlib_flag=-static-libstdc++
    5991       ;;
    5992   esac
    5993   case " $LDFLAGS " in
    5994     *" $static_standardlib_flag "* ) ;;
    5995     *)
    5996     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    5997 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    5998     coin_save_LDFLAGS="$LDFLAGS"
    5999     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    6000     cat >conftest.$ac_ext <<_ACEOF
    6001 /* confdefs.h.  */
    6002 _ACEOF
    6003 cat confdefs.h >>conftest.$ac_ext
    6004 cat >>conftest.$ac_ext <<_ACEOF
    6005 /* end confdefs.h.  */
    6006 
    6007 #ifdef F77_DUMMY_MAIN
    6008 
    6009 #  ifdef __cplusplus
    6010      extern "C"
    6011 #  endif
    6012    int F77_DUMMY_MAIN() { return 1; }
    6013 
    6014 #endif
    6015 int
    6016 main ()
    6017 {
    6018 int i=0;
    6019   ;
    6020   return 0;
    6021 }
    6022 _ACEOF
    6023 rm -f conftest.$ac_objext conftest$ac_exeext
    6024 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6025   (eval $ac_link) 2>conftest.er1
    6026   ac_status=$?
    6027   grep -v '^ *+' conftest.er1 >conftest.err
    6028   rm -f conftest.er1
    6029   cat conftest.err >&5
    6030   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6031   (exit $ac_status); } &&
    6032          { ac_try='test -z "$ac_cxx_werror_flag"
    6033                          || test ! -s conftest.err'
    6034   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6035   (eval $ac_try) 2>&5
    6036   ac_status=$?
    6037   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6038   (exit $ac_status); }; } &&
    6039          { ac_try='test -s conftest$ac_exeext'
    6040   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6041   (eval $ac_try) 2>&5
    6042   ac_status=$?
    6043   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6044   (exit $ac_status); }; }; then
    6045   echo "$as_me:$LINENO: result: yes" >&5
    6046 echo "${ECHO_T}yes" >&6
    6047 else
    6048   echo "$as_me: failed program was:" >&5
    6049 sed 's/^/| /' conftest.$ac_ext >&5
    6050 
    6051 echo "$as_me:$LINENO: result: no" >&5
    6052 echo "${ECHO_T}no" >&6
    6053        LDFLAGS="$coin_save_LDFLAGS"
    6054        if test $use_static_standardlibs = yes ; then
    6055          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    6056 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    6057    { (exit 1); exit 1; }; }
    6058        fi
    6059 
    6060 fi
    6061 rm -f conftest.err conftest.$ac_objext \
    6062       conftest$ac_exeext conftest.$ac_ext
    6063     ;;
    6064   esac
    6065 fi
    60665941
    60675942ac_ext=c
     
    60745949
    60755950# Get the name of the C compiler and appropriate compiler options
    6076 
    60775951
    60785952
     
    61155989case $build in
    61165990  *-cygwin* | *-mingw*)
    6117              if test "$enable_msvc" = yes ; then
    6118                comps="icl cl gcc"
     5991             if test "$enable_doscompile" = msvc ; then
     5992               comps="icl cl"
    61195993             else
    6120                comps="gcc icl cl"
     5994               comps="gcc cl"
    61215995             fi ;;
    61225996  *-*-solaris*)
     
    67546628echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    67556629    fi ;;
    6756   * )
    6757     CYGPATH_W=echo
    6758     ;;
    67596630esac
    67606631CFLAGS="$save_cflags"
     
    68106681            ;;
    68116682        esac
     6683        case $enable_doscompile in
     6684          mingw)
     6685            CFLAGS="-mno-cygwin"
     6686            cat >conftest.$ac_ext <<_ACEOF
     6687/* confdefs.h.  */
     6688_ACEOF
     6689cat confdefs.h >>conftest.$ac_ext
     6690cat >>conftest.$ac_ext <<_ACEOF
     6691/* end confdefs.h.  */
     6692
     6693#ifdef F77_DUMMY_MAIN
     6694
     6695#  ifdef __cplusplus
     6696     extern "C"
     6697#  endif
     6698   int F77_DUMMY_MAIN() { return 1; }
     6699
     6700#endif
     6701int
     6702main ()
     6703{
     6704int i=0; i++;
     6705  ;
     6706  return 0;
     6707}
     6708_ACEOF
     6709rm -f conftest.$ac_objext conftest$ac_exeext
     6710if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6711  (eval $ac_link) 2>conftest.er1
     6712  ac_status=$?
     6713  grep -v '^ *+' conftest.er1 >conftest.err
     6714  rm -f conftest.er1
     6715  cat conftest.err >&5
     6716  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6717  (exit $ac_status); } &&
     6718         { ac_try='test -z "$ac_c_werror_flag"
     6719                         || test ! -s conftest.err'
     6720  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6721  (eval $ac_try) 2>&5
     6722  ac_status=$?
     6723  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6724  (exit $ac_status); }; } &&
     6725         { ac_try='test -s conftest$ac_exeext'
     6726  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6727  (eval $ac_try) 2>&5
     6728  ac_status=$?
     6729  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6730  (exit $ac_status); }; }; then
     6731  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     6732else
     6733  echo "$as_me: failed program was:" >&5
     6734sed 's/^/| /' conftest.$ac_ext >&5
     6735
     6736fi
     6737rm -f conftest.err conftest.$ac_objext \
     6738      conftest$ac_exeext conftest.$ac_ext
     6739            CFLAGS=
     6740          ;;
     6741        esac
    68126742    esac
    68136743  fi
     
    68186748          clang* ) ;;
    68196749          cl* | */cl* | CL* | */CL*)
    6820             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    6821               coin_opt_cflags='-MD -O2'
    6822               coin_dbg_cflags='-MDd'
    6823             else
    6824               coin_opt_cflags='-MT -O2'
    6825               coin_dbg_cflags='-MTd'
    6826             fi
     6750            coin_opt_cflags='-MT -O2'
    68276751            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
     6752            coin_dbg_cflags='-MTd'
    68286753            ;;
    68296754          icl* | */icl* | ICL* | */ICL*)
    6830             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    6831               coin_opt_cflags='-MD -Ox'
    6832               coin_dbg_cflags='-MDd -debug'
    6833             else
    6834               coin_opt_cflags='-MT -Ox'
    6835               coin_dbg_cflags='-MTd -debug'
    6836             fi
     6755            coin_opt_cflags='-MT -Ox'
    68376756            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
     6757            coin_dbg_cflags='-MTd -debug'
    68386758            ;;
    68396759        esac
     
    70166936    CFLAGS="$OPT_CFLAGS"
    70176937  fi
    7018 
    70196938else
    70206939  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    71837102  clang* ) ;;
    71847103  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    7185 
    7186  case $build in
     7104    case $build in
    71877105  *-mingw*)
    71887106    if test "${LD+set}" = set; then :; else
     
    71917109    ;;
    71927110 esac
    7193  if test $enable_msvc = yes ; then
    7194    if test "x${LD+set}" = xset; then :; else
    7195      LD=link
    7196    fi
    7197  fi
     7111 case $enable_doscompile in
     7112   msvc)
     7113     if test "x${LD+set}" = xset; then :; else
     7114       LD=link
     7115     fi
     7116     ;;
     7117 esac
    71987118
    71997119    ;;
    72007120esac
    7201 
    7202 # check whether to add flags for static linking against standard libraries to LDFLAGS
    7203 if test x$use_static_standardlibs != xno ; then
    7204   case $build in
    7205     *-mingw*)
    7206       static_standardlib_flag=-static
    7207       ;;
    7208     *)
    7209       static_standardlib_flag=-static-libgcc
    7210       ;;
    7211   esac
    7212   case " $LDFLAGS " in
    7213     *" $static_standardlib_flag "* ) ;;
    7214     *)
    7215     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    7216 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    7217     coin_save_LDFLAGS="$LDFLAGS"
    7218     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    7219     cat >conftest.$ac_ext <<_ACEOF
    7220 /* confdefs.h.  */
    7221 _ACEOF
    7222 cat confdefs.h >>conftest.$ac_ext
    7223 cat >>conftest.$ac_ext <<_ACEOF
    7224 /* end confdefs.h.  */
    7225 
    7226 #ifdef F77_DUMMY_MAIN
    7227 
    7228 #  ifdef __cplusplus
    7229      extern "C"
    7230 #  endif
    7231    int F77_DUMMY_MAIN() { return 1; }
    7232 
    7233 #endif
    7234 int
    7235 main ()
    7236 {
    7237 int i=0;
    7238   ;
    7239   return 0;
    7240 }
    7241 _ACEOF
    7242 rm -f conftest.$ac_objext conftest$ac_exeext
    7243 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7244   (eval $ac_link) 2>conftest.er1
    7245   ac_status=$?
    7246   grep -v '^ *+' conftest.er1 >conftest.err
    7247   rm -f conftest.er1
    7248   cat conftest.err >&5
    7249   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7250   (exit $ac_status); } &&
    7251          { ac_try='test -z "$ac_c_werror_flag"
    7252                          || test ! -s conftest.err'
    7253   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7254   (eval $ac_try) 2>&5
    7255   ac_status=$?
    7256   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7257   (exit $ac_status); }; } &&
    7258          { ac_try='test -s conftest$ac_exeext'
    7259   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7260   (eval $ac_try) 2>&5
    7261   ac_status=$?
    7262   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7263   (exit $ac_status); }; }; then
    7264   echo "$as_me:$LINENO: result: yes" >&5
    7265 echo "${ECHO_T}yes" >&6
    7266 else
    7267   echo "$as_me: failed program was:" >&5
    7268 sed 's/^/| /' conftest.$ac_ext >&5
    7269 
    7270 echo "$as_me:$LINENO: result: no" >&5
    7271 echo "${ECHO_T}no" >&6
    7272        LDFLAGS="$coin_save_LDFLAGS"
    7273        if test $use_static_standardlibs = yes ; then
    7274          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    7275 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    7276    { (exit 1); exit 1; }; }
    7277        fi
    7278 
    7279 fi
    7280 rm -f conftest.err conftest.$ac_objext \
    7281       conftest$ac_exeext conftest.$ac_ext
    7282     ;;
    7283   esac
    7284 fi
    72857121
    72867122ac_ext=c
     
    72997135# START
    73007136
    7301 coin_disable_shared=no
    73027137# Test if force_shared has been set
    73037138if test "x" = xforce_shared; then
     
    73117146  # On Cygwin and AIX, building DLLs doesn't work
    73127147  case $build in
    7313     *-cygwin* | *-mingw*)
     7148    *-cygwin*)
    73147149      coin_disable_shared=yes
    7315       if test x"$enable_shared" = xyes; then
    7316         case "$CXX" in
    7317           clang* )
    7318             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
    7319 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
    7320             ;;
    7321           cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    7322             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
    7323 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
    7324             ;;
    7325           *)
    7326             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
    7327 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
    7328             ;;
    7329         esac
    7330       fi
     7150      platform=Cygwin
    73317151    ;;
    73327152    *-aix*)
    73337153      coin_disable_shared=yes
    73347154      platform=AIX
    7335       if test x"$enable_shared" = xyes; then
    7336         { echo "$as_me:$LINENO: WARNING: Shared objects are not supported. I'm disabling your choice." >&5
    7337 echo "$as_me: WARNING: Shared objects are not supported. I'm disabling your choice." >&2;}
    7338       fi
     7155    ;;
     7156    *-mingw*)
     7157      coin_disable_shared=yes
     7158      platform="Msys"
     7159#      case "$CXX" in
     7160#        cl*)
     7161#          coin_disable_shared=yes
     7162#          platform="Msys with cl"
     7163#      ;;
     7164#      esac
    73397165    ;;
    73407166  esac
     
    73427168if test x"$coin_disable_shared" = xyes; then
    73437169  if test x"$enable_shared" = xyes; then
    7344     :
    7345   else
    7346     # we don't disable shared, because it was not selected anyway
    7347     coin_disable_shared=no
     7170    { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
     7171echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
    73487172  fi
    73497173  enable_shared=no
     
    90528876*-*-irix6*)
    90538877  # Find out which ABI we are using.
    9054   echo '#line 9054 "configure"' > conftest.$ac_ext
     8878  echo '#line 8878 "configure"' > conftest.$ac_ext
    90558879  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    90568880  (eval $ac_compile) 2>&5
     
    1103210856   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1103310857   -e 's:$: $lt_compiler_flag:'`
    11034    (eval echo "\"\$as_me:11034: $lt_compile\"" >&5)
     10858   (eval echo "\"\$as_me:10858: $lt_compile\"" >&5)
    1103510859   (eval "$lt_compile" 2>conftest.err)
    1103610860   ac_status=$?
    1103710861   cat conftest.err >&5
    11038    echo "$as_me:11038: \$? = $ac_status" >&5
     10862   echo "$as_me:10862: \$? = $ac_status" >&5
    1103910863   if (exit $ac_status) && test -s "$ac_outfile"; then
    1104010864     # The compiler can only warn and ignore the option if not recognized
     
    1130011124   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1130111125   -e 's:$: $lt_compiler_flag:'`
    11302    (eval echo "\"\$as_me:11302: $lt_compile\"" >&5)
     11126   (eval echo "\"\$as_me:11126: $lt_compile\"" >&5)
    1130311127   (eval "$lt_compile" 2>conftest.err)
    1130411128   ac_status=$?
    1130511129   cat conftest.err >&5
    11306    echo "$as_me:11306: \$? = $ac_status" >&5
     11130   echo "$as_me:11130: \$? = $ac_status" >&5
    1130711131   if (exit $ac_status) && test -s "$ac_outfile"; then
    1130811132     # The compiler can only warn and ignore the option if not recognized
     
    1140411228   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1140511229   -e 's:$: $lt_compiler_flag:'`
    11406    (eval echo "\"\$as_me:11406: $lt_compile\"" >&5)
     11230   (eval echo "\"\$as_me:11230: $lt_compile\"" >&5)
    1140711231   (eval "$lt_compile" 2>out/conftest.err)
    1140811232   ac_status=$?
    1140911233   cat out/conftest.err >&5
    11410    echo "$as_me:11410: \$? = $ac_status" >&5
     11234   echo "$as_me:11234: \$? = $ac_status" >&5
    1141111235   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1141211236   then
     
    1382113645  lt_status=$lt_dlunknown
    1382213646  cat > conftest.$ac_ext <<EOF
    13823 #line 13823 "configure"
     13647#line 13647 "configure"
    1382413648#include "confdefs.h"
    1382513649
     
    1392113745  lt_status=$lt_dlunknown
    1392213746  cat > conftest.$ac_ext <<EOF
    13923 #line 13923 "configure"
     13747#line 13747 "configure"
    1392413748#include "confdefs.h"
    1392513749
     
    1628116105   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1628216106   -e 's:$: $lt_compiler_flag:'`
    16283    (eval echo "\"\$as_me:16283: $lt_compile\"" >&5)
     16107   (eval echo "\"\$as_me:16107: $lt_compile\"" >&5)
    1628416108   (eval "$lt_compile" 2>conftest.err)
    1628516109   ac_status=$?
    1628616110   cat conftest.err >&5
    16287    echo "$as_me:16287: \$? = $ac_status" >&5
     16111   echo "$as_me:16111: \$? = $ac_status" >&5
    1628816112   if (exit $ac_status) && test -s "$ac_outfile"; then
    1628916113     # The compiler can only warn and ignore the option if not recognized
     
    1638516209   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1638616210   -e 's:$: $lt_compiler_flag:'`
    16387    (eval echo "\"\$as_me:16387: $lt_compile\"" >&5)
     16211   (eval echo "\"\$as_me:16211: $lt_compile\"" >&5)
    1638816212   (eval "$lt_compile" 2>out/conftest.err)
    1638916213   ac_status=$?
    1639016214   cat out/conftest.err >&5
    16391    echo "$as_me:16391: \$? = $ac_status" >&5
     16215   echo "$as_me:16215: \$? = $ac_status" >&5
    1639216216   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1639316217   then
     
    1795517779   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1795617780   -e 's:$: $lt_compiler_flag:'`
    17957    (eval echo "\"\$as_me:17957: $lt_compile\"" >&5)
     17781   (eval echo "\"\$as_me:17781: $lt_compile\"" >&5)
    1795817782   (eval "$lt_compile" 2>conftest.err)
    1795917783   ac_status=$?
    1796017784   cat conftest.err >&5
    17961    echo "$as_me:17961: \$? = $ac_status" >&5
     17785   echo "$as_me:17785: \$? = $ac_status" >&5
    1796217786   if (exit $ac_status) && test -s "$ac_outfile"; then
    1796317787     # The compiler can only warn and ignore the option if not recognized
     
    1805917883   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1806017884   -e 's:$: $lt_compiler_flag:'`
    18061    (eval echo "\"\$as_me:18061: $lt_compile\"" >&5)
     17885   (eval echo "\"\$as_me:17885: $lt_compile\"" >&5)
    1806217886   (eval "$lt_compile" 2>out/conftest.err)
    1806317887   ac_status=$?
    1806417888   cat out/conftest.err >&5
    18065    echo "$as_me:18065: \$? = $ac_status" >&5
     17889   echo "$as_me:17889: \$? = $ac_status" >&5
    1806617890   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1806717891   then
     
    2026620090   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2026720091   -e 's:$: $lt_compiler_flag:'`
    20268    (eval echo "\"\$as_me:20268: $lt_compile\"" >&5)
     20092   (eval echo "\"\$as_me:20092: $lt_compile\"" >&5)
    2026920093   (eval "$lt_compile" 2>conftest.err)
    2027020094   ac_status=$?
    2027120095   cat conftest.err >&5
    20272    echo "$as_me:20272: \$? = $ac_status" >&5
     20096   echo "$as_me:20096: \$? = $ac_status" >&5
    2027320097   if (exit $ac_status) && test -s "$ac_outfile"; then
    2027420098     # The compiler can only warn and ignore the option if not recognized
     
    2053420358   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2053520359   -e 's:$: $lt_compiler_flag:'`
    20536    (eval echo "\"\$as_me:20536: $lt_compile\"" >&5)
     20360   (eval echo "\"\$as_me:20360: $lt_compile\"" >&5)
    2053720361   (eval "$lt_compile" 2>conftest.err)
    2053820362   ac_status=$?
    2053920363   cat conftest.err >&5
    20540    echo "$as_me:20540: \$? = $ac_status" >&5
     20364   echo "$as_me:20364: \$? = $ac_status" >&5
    2054120365   if (exit $ac_status) && test -s "$ac_outfile"; then
    2054220366     # The compiler can only warn and ignore the option if not recognized
     
    2063820462   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2063920463   -e 's:$: $lt_compiler_flag:'`
    20640    (eval echo "\"\$as_me:20640: $lt_compile\"" >&5)
     20464   (eval echo "\"\$as_me:20464: $lt_compile\"" >&5)
    2064120465   (eval "$lt_compile" 2>out/conftest.err)
    2064220466   ac_status=$?
    2064320467   cat out/conftest.err >&5
    20644    echo "$as_me:20644: \$? = $ac_status" >&5
     20468   echo "$as_me:20468: \$? = $ac_status" >&5
    2064520469   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2064620470   then
     
    2341223236          -e 's%lib /OUT:%lib -OUT:%' \
    2341323237          -e "s%cygpath -w%$CYGPATH_W%" \
    23414           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    23415           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     23238          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo '"$mydos2unix"'\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
     23239          -e 's/$AR t/lib -nologo -list/' \
    2341623240          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    2341723241          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     
    2390523729  use_pkgconfig="$enableval"
    2390623730else
    23907   if test x$coin_cc_is_cl = xtrue; then
    23908      use_pkgconfig=no
    23909    else
    23910      use_pkgconfig=yes
    23911    fi
     23731  use_pkgconfig=yes
    2391223732fi;
    2391323733
     
    2391923739echo "$as_me:$LINENO: checking for $ac_word" >&5
    2392023740echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    23921 if test "${ac_cv_prog_PKG_CONFIG+set}" = set; then
     23741if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
    2392223742  echo $ECHO_N "(cached) $ECHO_C" >&6
    2392323743else
    23924   if test -n "$PKG_CONFIG"; then
    23925   ac_cv_prog_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test.
    23926 else
    23927 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     23744  case $PKG_CONFIG in
     23745  [\\/]* | ?:[\\/]*)
     23746  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
     23747  ;;
     23748  *)
     23749  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2392823750for as_dir in $PATH
    2392923751do
     
    2393223754  for ac_exec_ext in '' $ac_executable_extensions; do
    2393323755  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    23934     ac_cv_prog_PKG_CONFIG="${ac_tool_prefix}pkg-config"
     23756    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
    2393523757    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2393623758    break 2
     
    2393923761done
    2394023762
    23941 fi
    23942 fi
    23943 PKG_CONFIG=$ac_cv_prog_PKG_CONFIG
     23763  ;;
     23764esac
     23765fi
     23766PKG_CONFIG=$ac_cv_path_PKG_CONFIG
     23767
    2394423768if test -n "$PKG_CONFIG"; then
    2394523769  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     
    2395123775
    2395223776fi
    23953 if test -z "$ac_cv_prog_PKG_CONFIG"; then
    23954   ac_ct_PKG_CONFIG=$PKG_CONFIG
     23777if test -z "$ac_cv_path_PKG_CONFIG"; then
     23778  ac_pt_PKG_CONFIG=$PKG_CONFIG
    2395523779  # Extract the first word of "pkg-config", so it can be a program name with args.
    2395623780set dummy pkg-config; ac_word=$2
    2395723781echo "$as_me:$LINENO: checking for $ac_word" >&5
    2395823782echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    23959 if test "${ac_cv_prog_ac_ct_PKG_CONFIG+set}" = set; then
     23783if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
    2396023784  echo $ECHO_N "(cached) $ECHO_C" >&6
    2396123785else
    23962   if test -n "$ac_ct_PKG_CONFIG"; then
    23963   ac_cv_prog_ac_ct_PKG_CONFIG="$ac_ct_PKG_CONFIG" # Let the user override the test.
    23964 else
    23965 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     23786  case $ac_pt_PKG_CONFIG in
     23787  [\\/]* | ?:[\\/]*)
     23788  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
     23789  ;;
     23790  *)
     23791  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2396623792for as_dir in $PATH
    2396723793do
     
    2397023796  for ac_exec_ext in '' $ac_executable_extensions; do
    2397123797  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    23972     ac_cv_prog_ac_ct_PKG_CONFIG="pkg-config"
     23798    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
    2397323799    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2397423800    break 2
     
    2397723803done
    2397823804
    23979 fi
    23980 fi
    23981 ac_ct_PKG_CONFIG=$ac_cv_prog_ac_ct_PKG_CONFIG
    23982 if test -n "$ac_ct_PKG_CONFIG"; then
    23983   echo "$as_me:$LINENO: result: $ac_ct_PKG_CONFIG" >&5
    23984 echo "${ECHO_T}$ac_ct_PKG_CONFIG" >&6
     23805  ;;
     23806esac
     23807fi
     23808ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
     23809
     23810if test -n "$ac_pt_PKG_CONFIG"; then
     23811  echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
     23812echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
    2398523813else
    2398623814  echo "$as_me:$LINENO: result: no" >&5
     
    2398823816fi
    2398923817
    23990   PKG_CONFIG=$ac_ct_PKG_CONFIG
    23991 else
    23992   PKG_CONFIG="$ac_cv_prog_PKG_CONFIG"
     23818  PKG_CONFIG=$ac_pt_PKG_CONFIG
     23819else
     23820  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
    2399323821fi
    2399423822
     
    2977029598echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2977129599coin_link_input_cmd="$LN_S"
     29600if test "$enable_doscompile" = mingw; then
     29601  coin_link_input_cmd=cp
     29602fi
    2977229603case "$CC" in
    2977329604  clang* ) ;;
     
    3076730598s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    3076830599s,@PKG_CONFIG@,$PKG_CONFIG,;t t
    30769 s,@ac_ct_PKG_CONFIG@,$ac_ct_PKG_CONFIG,;t t
     30600s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
    3077030601s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
    3077130602s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
  • trunk/Couenne/src/Makefile.in

    r979 r1009  
    344344ac_ct_CXX = @ac_ct_CXX@
    345345ac_ct_F77 = @ac_ct_F77@
    346 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    347346ac_ct_RANLIB = @ac_ct_RANLIB@
    348347ac_ct_STRIP = @ac_ct_STRIP@
    349348ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     349ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    350350am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    351351am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/bound_tightening/Makefile.in

    r979 r1009  
    269269ac_ct_CXX = @ac_ct_CXX@
    270270ac_ct_F77 = @ac_ct_F77@
    271 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    272271ac_ct_RANLIB = @ac_ct_RANLIB@
    273272ac_ct_STRIP = @ac_ct_STRIP@
    274273ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     274ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    275275am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    276276am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/bound_tightening/twoImpliedBT/Makefile.in

    r979 r1009  
    263263ac_ct_CXX = @ac_ct_CXX@
    264264ac_ct_F77 = @ac_ct_F77@
    265 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    266265ac_ct_RANLIB = @ac_ct_RANLIB@
    267266ac_ct_STRIP = @ac_ct_STRIP@
    268267ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     268ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    269269am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    270270am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/branch/Makefile.in

    r979 r1009  
    280280ac_ct_CXX = @ac_ct_CXX@
    281281ac_ct_F77 = @ac_ct_F77@
    282 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    283282ac_ct_RANLIB = @ac_ct_RANLIB@
    284283ac_ct_STRIP = @ac_ct_STRIP@
    285284ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     285ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    286286am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    287287am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/convex/Makefile.in

    r979 r1009  
    264264ac_ct_CXX = @ac_ct_CXX@
    265265ac_ct_F77 = @ac_ct_F77@
    266 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    267266ac_ct_RANLIB = @ac_ct_RANLIB@
    268267ac_ct_STRIP = @ac_ct_STRIP@
    269268ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     269ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    270270am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    271271am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/cut/crossconv/Makefile.in

    r979 r1009  
    260260ac_ct_CXX = @ac_ct_CXX@
    261261ac_ct_F77 = @ac_ct_F77@
    262 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    263262ac_ct_RANLIB = @ac_ct_RANLIB@
    264263ac_ct_STRIP = @ac_ct_STRIP@
    265264ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     265ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    266266am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    267267am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/cut/sdpcuts/Makefile.in

    r979 r1009  
    261261ac_ct_CXX = @ac_ct_CXX@
    262262ac_ct_F77 = @ac_ct_F77@
    263 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    264263ac_ct_RANLIB = @ac_ct_RANLIB@
    265264ac_ct_STRIP = @ac_ct_STRIP@
    266265ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     266ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    267267am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    268268am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/disjunctive/Makefile.in

    r979 r1009  
    263263ac_ct_CXX = @ac_ct_CXX@
    264264ac_ct_F77 = @ac_ct_F77@
    265 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    266265ac_ct_RANLIB = @ac_ct_RANLIB@
    267266ac_ct_STRIP = @ac_ct_STRIP@
    268267ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     268ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    269269am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    270270am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/expression/Makefile.in

    r979 r1009  
    279279ac_ct_CXX = @ac_ct_CXX@
    280280ac_ct_F77 = @ac_ct_F77@
    281 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    282281ac_ct_RANLIB = @ac_ct_RANLIB@
    283282ac_ct_STRIP = @ac_ct_STRIP@
    284283ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     284ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    285285am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    286286am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/heuristics/Makefile.in

    r979 r1009  
    276276ac_ct_CXX = @ac_ct_CXX@
    277277ac_ct_F77 = @ac_ct_F77@
    278 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    279278ac_ct_RANLIB = @ac_ct_RANLIB@
    280279ac_ct_STRIP = @ac_ct_STRIP@
    281280ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     281ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    282282am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    283283am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/interfaces/Makefile.in

    r979 r1009  
    261261ac_ct_CXX = @ac_ct_CXX@
    262262ac_ct_F77 = @ac_ct_F77@
    263 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    264263ac_ct_RANLIB = @ac_ct_RANLIB@
    265264ac_ct_STRIP = @ac_ct_STRIP@
    266265ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     266ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    267267am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    268268am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/main/CouenneBab.cpp

    r885 r1009  
    4848extern "C" {
    4949
    50   static bool BonminInterruptedOnce = false;
     50  static bool interruptedOnce = false;
    5151
    5252  static void couenne_signal_handler (int whichSignal) {
    5353
    54     if (BonminInterruptedOnce) {
    55       //std::cerr<<"User-forced interruption"<<std::endl;
    56       abort ();
    57       exit (0);
    58     }
    59 
    60     if (currentBranchModel) currentBranchModel -> sayEventHappened();          // stop at next node
    61     if (OAModel)            OAModel -> sayEventHappened();                     // stop at next node
     54    if (interruptedOnce) {
     55      std::cerr<<"[BREAK]"<<std::endl;
     56      //abort ();
     57      exit (-1);
     58    } else
     59      std::cerr<<"Ctrl+C detected, stopping Couenne..." << std::endl;
     60
     61    if (currentBranchModel) currentBranchModel -> sayEventHappened();           // stop at next node
     62    if (OAModel)            OAModel   -> sayEventHappened();                      // stop at next node
    6263    if (currentOA)          currentOA -> parameter ().maxLocalSearchTime_ = 0.; // stop OA
    6364
    64     BonminInterruptedOnce = true;
     65    interruptedOnce = true;
    6566  }
    6667}
     
    192193
    193194#if 1
    194 
    195195    // Now pass user set Sos constraints (code inspired from CoinSolve.cpp)
    196196    const TMINLP::SosInfo * sos = s.nonlinearSolver()->model()->sosConstraints();
  • trunk/Couenne/src/main/Makefile.in

    r979 r1009  
    278278ac_ct_CXX = @ac_ct_CXX@
    279279ac_ct_F77 = @ac_ct_F77@
    280 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    281280ac_ct_RANLIB = @ac_ct_RANLIB@
    282281ac_ct_STRIP = @ac_ct_STRIP@
    283282ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     283ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    284284am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    285285am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/problem/CouenneProblem.hpp

    r952 r1009  
    523523  void writeGAMS (const std::string &fname);
    524524
     525  /// Write nonlinear problem to a .lp file. Note: only works with
     526  /// MIQCQPs (and MISOCPs in the future)
     527  ///
     528  ///@param fname Name of the .lp file to be written
     529  void writeLP (const std::string &fname);
     530
    525531  /// Initialize auxiliary variables and their bounds from original
    526532  /// variables
  • trunk/Couenne/src/problem/Makefile.am

    r937 r1009  
    1616        writeAMPL.cpp \
    1717        writeGAMS.cpp \
     18        writeLP.cpp \
    1819        constraint.cpp \
    1920        fillQuadIndices.cpp \
  • trunk/Couenne/src/problem/Makefile.in

    r979 r1009  
    7676libCouenneProblem_la_LIBADD =
    7777am__libCouenneProblem_la_SOURCES_DIST = problem.cpp CouenneProblem.cpp \
    78         problemIO.cpp writeAMPL.cpp writeGAMS.cpp constraint.cpp \
    79         fillQuadIndices.cpp fillDependence.cpp checkNLP.cpp \
    80         getIntegerCandidate.cpp testIntFix.cpp CouenneSOS.cpp \
    81         CouenneProblemConstructors.cpp CouenneRestoreUnused.cpp \
    82         reformulate.cpp CouenneGlobalCutOff.cpp CouenneSymmetry.cpp \
     78        problemIO.cpp writeAMPL.cpp writeGAMS.cpp writeLP.cpp \
     79        constraint.cpp fillQuadIndices.cpp fillDependence.cpp \
     80        checkNLP.cpp getIntegerCandidate.cpp testIntFix.cpp \
     81        CouenneSOS.cpp CouenneProblemConstructors.cpp \
     82        CouenneRestoreUnused.cpp reformulate.cpp \
     83        CouenneGlobalCutOff.cpp CouenneSymmetry.cpp \
    8384        CouenneRecordBestSol.cpp depGraph/depGraph.cpp \
    8485        depGraph/checkCycles.cpp ../readnl/readnl.cpp \
     
    8889@COIN_HAS_ASL_TRUE@     readASLfg.lo
    8990am_libCouenneProblem_la_OBJECTS = problem.lo CouenneProblem.lo \
    90         problemIO.lo writeAMPL.lo writeGAMS.lo constraint.lo \
    91         fillQuadIndices.lo fillDependence.lo checkNLP.lo \
     91        problemIO.lo writeAMPL.lo writeGAMS.lo writeLP.lo \
     92        constraint.lo fillQuadIndices.lo fillDependence.lo checkNLP.lo \
    9293        getIntegerCandidate.lo testIntFix.lo CouenneSOS.lo \
    9394        CouenneProblemConstructors.lo CouenneRestoreUnused.lo \
     
    297298ac_ct_CXX = @ac_ct_CXX@
    298299ac_ct_F77 = @ac_ct_F77@
    299 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    300300ac_ct_RANLIB = @ac_ct_RANLIB@
    301301ac_ct_STRIP = @ac_ct_STRIP@
    302302ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     303ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    303304am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    304305am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
     
    348349# List all source files for this library, including headers
    349350libCouenneProblem_la_SOURCES = problem.cpp CouenneProblem.cpp \
    350         problemIO.cpp writeAMPL.cpp writeGAMS.cpp constraint.cpp \
    351         fillQuadIndices.cpp fillDependence.cpp checkNLP.cpp \
    352         getIntegerCandidate.cpp testIntFix.cpp CouenneSOS.cpp \
    353         CouenneProblemConstructors.cpp CouenneRestoreUnused.cpp \
    354         reformulate.cpp CouenneGlobalCutOff.cpp CouenneSymmetry.cpp \
     351        problemIO.cpp writeAMPL.cpp writeGAMS.cpp writeLP.cpp \
     352        constraint.cpp fillQuadIndices.cpp fillDependence.cpp \
     353        checkNLP.cpp getIntegerCandidate.cpp testIntFix.cpp \
     354        CouenneSOS.cpp CouenneProblemConstructors.cpp \
     355        CouenneRestoreUnused.cpp reformulate.cpp \
     356        CouenneGlobalCutOff.cpp CouenneSymmetry.cpp \
    355357        CouenneRecordBestSol.cpp depGraph/depGraph.cpp \
    356358        depGraph/checkCycles.cpp $(am__append_1)
     
    448450@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/writeAMPL.Plo@am__quote@
    449451@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/writeGAMS.Plo@am__quote@
     452@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/writeLP.Plo@am__quote@
    450453
    451454.cpp.o:
  • trunk/Couenne/src/problem/writeAMPL.cpp

    r490 r1009  
    11/* $Id$
    22 *
    3  * Name:    extended.cpp
     3 * Name:    writeAMPL.cpp
    44 * Author:  Pietro Belotti
    5  * Purpose: save problem in AMPL format
     5 * Purpose: save a problem in AMPL format
    66 *
    77 * (C) Carnegie-Mellon University, 2006.
  • trunk/Couenne/src/readnl/Makefile.in

    r979 r1009  
    267267ac_ct_CXX = @ac_ct_CXX@
    268268ac_ct_F77 = @ac_ct_F77@
    269 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    270269ac_ct_RANLIB = @ac_ct_RANLIB@
    271270ac_ct_STRIP = @ac_ct_STRIP@
    272271ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     272ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    273273am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    274274am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/standardize/Makefile.in

    r979 r1009  
    263263ac_ct_CXX = @ac_ct_CXX@
    264264ac_ct_F77 = @ac_ct_F77@
    265 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    266265ac_ct_RANLIB = @ac_ct_RANLIB@
    267266ac_ct_STRIP = @ac_ct_STRIP@
    268267ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     268ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    269269am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    270270am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/util/Makefile.in

    r979 r1009  
    260260ac_ct_CXX = @ac_ct_CXX@
    261261ac_ct_F77 = @ac_ct_F77@
    262 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    263262ac_ct_RANLIB = @ac_ct_RANLIB@
    264263ac_ct_STRIP = @ac_ct_STRIP@
    265264ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     265ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    266266am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    267267am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/test/Makefile.in

    r979 r1009  
    243243ac_ct_CXX = @ac_ct_CXX@
    244244ac_ct_F77 = @ac_ct_F77@
    245 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    246245ac_ct_RANLIB = @ac_ct_RANLIB@
    247246ac_ct_STRIP = @ac_ct_STRIP@
    248247ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     248ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    249249am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    250250am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
Note: See TracChangeset for help on using the changeset viewer.